org.wildfly.swarm.config.undertow.configuration

## Class ReverseProxy<T extends ReverseProxy<T>>

- java.lang.Object
- - org.wildfly.swarm.config.undertow.configuration.ReverseProxy<T>

-     public class ReverseProxy<T extends ReverseProxy<T>>
      extends Object

  A reverse proxy handler

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ReverseProxy.ReverseProxyResources` Child mutators for ReverseProxy

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReverseProxy(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Integer` | `cachedConnectionsPerThread()` The number of connections that will be kept alive indefinitely
    `T` | `cachedConnectionsPerThread(Integer value)` The number of connections that will be kept alive indefinitely
    `Integer` | `connectionIdleTimeout()` The amount of time a connection can be idle before it will be closed.
    `T` | `connectionIdleTimeout(Integer value)` The amount of time a connection can be idle before it will be closed.
    `Integer` | `connectionsPerThread()` The number of connections that will be maintained to backend servers, per IO thread.
    `T` | `connectionsPerThread(Integer value)` The number of connections that will be maintained to backend servers, per IO thread.
    `String` | `getKey()`
    `T` | `host(Host value)` Add the Host object to the list of subresources
    `T` | `host(HostSupplier supplier)` Install a supplied Host object to the list of subresources
    `T` | `host(String childKey)` Create and configure a Host object to the list of subresources
    `T` | `host(String childKey, HostConsumer consumer)` Create and configure a Host object to the list of subresources
    `T` | `hosts(List<Host> value)` Add all Host objects to this subresource
    `Integer` | `maxRequestTime()` The maximum time that a proxy request can be active for, before being killed
    `T` | `maxRequestTime(Integer value)` The maximum time that a proxy request can be active for, before being killed
    `Integer` | `maxRetries()` The number of times to attempt to retry a request if it fails.
    `T` | `maxRetries(Integer value)` The number of times to attempt to retry a request if it fails.
    `Integer` | `problemServerRetry()` Time in seconds to wait before attempting to reconnect to a server that is down
    `T` | `problemServerRetry(Integer value)` Time in seconds to wait before attempting to reconnect to a server that is down
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Integer` | `requestQueueSize()` The number of requests that can be queued if the connection pool is full before requests are rejected with a 503
    `T` | `requestQueueSize(Integer value)` The number of requests that can be queued if the connection pool is full before requests are rejected with a 503
    `String` | `sessionCookieNames()` Comma separated list of session cookie names.
    `T` | `sessionCookieNames(String value)` Comma separated list of session cookie names.
    `ReverseProxy.ReverseProxyResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReverseProxy

          public ReverseProxy(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public ReverseProxy.ReverseProxyResources subresources()

    - #### hosts

          public T hosts(List<Host> value)

      Add all Host objects to this subresource
      Parameters:
        `value` - List of Host objects.
      Returns:
        this

    - #### host

          public T host(Host value)

      Add the Host object to the list of subresources
      Parameters:
        `value` - The Host to add
      Returns:
        this

    - #### host

          public T host(String childKey,
                        HostConsumer consumer)

      Create and configure a Host object to the list of subresources
      Parameters:
        `key` - The key for the Host resource
        `config` - The HostConsumer to use
      Returns:
        this

    - #### host

          public T host(String childKey)

      Create and configure a Host object to the list of subresources
      Parameters:
        `key` - The key for the Host resource
      Returns:
        this

    - #### host

          public T host(HostSupplier supplier)

      Install a supplied Host object to the list of subresources

    - #### cachedConnectionsPerThread

          public Integer cachedConnectionsPerThread()

      The number of connections that will be kept alive indefinitely

    - #### cachedConnectionsPerThread

          public T cachedConnectionsPerThread(Integer value)

      The number of connections that will be kept alive indefinitely

    - #### connectionIdleTimeout

          public Integer connectionIdleTimeout()

      The amount of time a connection can be idle before it will be closed. Connections will not time out once the pool size is down to the configured minimum (as configured by cached-connections-per-thread)

    - #### connectionIdleTimeout

          public T connectionIdleTimeout(Integer value)

      The amount of time a connection can be idle before it will be closed. Connections will not time out once the pool size is down to the configured minimum (as configured by cached-connections-per-thread)

    - #### connectionsPerThread

          public Integer connectionsPerThread()

      The number of connections that will be maintained to backend servers, per IO thread.

    - #### connectionsPerThread

          public T connectionsPerThread(Integer value)

      The number of connections that will be maintained to backend servers, per IO thread.

    - #### maxRequestTime

          public Integer maxRequestTime()

      The maximum time that a proxy request can be active for, before being killed

    - #### maxRequestTime

          public T maxRequestTime(Integer value)

      The maximum time that a proxy request can be active for, before being killed

    - #### maxRetries

          public Integer maxRetries()

      The number of times to attempt to retry a request if it fails. Note that if a request is not considered idempotent then it will only be retried if the proxy can be sure it was not sent to the backend server).

    - #### maxRetries

          public T maxRetries(Integer value)

      The number of times to attempt to retry a request if it fails. Note that if a request is not considered idempotent then it will only be retried if the proxy can be sure it was not sent to the backend server).

    - #### problemServerRetry

          public Integer problemServerRetry()

      Time in seconds to wait before attempting to reconnect to a server that is down

    - #### problemServerRetry

          public T problemServerRetry(Integer value)

      Time in seconds to wait before attempting to reconnect to a server that is down

    - #### requestQueueSize

          public Integer requestQueueSize()

      The number of requests that can be queued if the connection pool is full before requests are rejected with a 503

    - #### requestQueueSize

          public T requestQueueSize(Integer value)

      The number of requests that can be queued if the connection pool is full before requests are rejected with a 503

    - #### sessionCookieNames

          public String sessionCookieNames()

      Comma separated list of session cookie names. Generally this will just be JSESSIONID.

    - #### sessionCookieNames

          public T sessionCookieNames(String value)

      Comma separated list of session cookie names. Generally this will just be JSESSIONID.

Copyright © 2017 JBoss by Red Hat. All rights reserved.